public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in sys-apps/portage: ChangeLog portage-2.1.6.8.ebuild
@ 2009-03-13 20:30 Zac Medico (zmedico)
  0 siblings, 0 replies; only message in thread
From: Zac Medico (zmedico) @ 2009-03-13 20:30 UTC (permalink / raw
  To: gentoo-commits

zmedico     09/03/13 20:30:06

  Modified:             ChangeLog
  Added:                portage-2.1.6.8.ebuild
  Log:
  13 Mar 2009; Zac Medico <zmedico@gentoo.org> +portage-2.1.6.8.ebuild:
  2.1.6.8 bump. This fixes bug #199408 (account for current config with
  emerge --resume), bug #250020 (improve merge order), bug #253904 (avoid
  slot conflicts), bug #256289 (show normal mask message for use deps when
  version with required IUSE is masked), bug #256616 (don't do anything
  else when system packages are merging), bug #258433 (warn about
  incorrectly defined FETCHCOMMAND for EAPI 2), bug #259124 (apply --color
  to fetch output), bug #259882 (disable dispatch-conf confmem-like
  behavior), bug #259954 (be careful about system deps with unsatisfied
  PDEPEND), bug #260331 (reject set*id binaries that have DT_RPATH:$ORIGIN),
  bug #261082 (fetch changed packages with --getbinpkg), bug #261670 (ensure
  CHOST metadata reflects the initial CHOST setting), bug #261675 (avoid
  interference between FEATURES=digest and concurrent tasks), and bug
  unexpected exception), bug #261992 (File name too long exception), bug
  bugs fixed since 2.1.6.7.
  (Portage version: 2.1.6.8/cvs/Linux i686)

Revision  Changes    Path
1.585                sys-apps/portage/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-apps/portage/ChangeLog?rev=1.585&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-apps/portage/ChangeLog?rev=1.585&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-apps/portage/ChangeLog?r1=1.584&r2=1.585

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-apps/portage/ChangeLog,v
retrieving revision 1.584
retrieving revision 1.585
diff -u -r1.584 -r1.585
--- ChangeLog	12 Mar 2009 09:55:05 -0000	1.584
+++ ChangeLog	13 Mar 2009 20:30:06 -0000	1.585
@@ -1,6 +1,27 @@
 # ChangeLog for sys-apps/portage
 # Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/portage/ChangeLog,v 1.584 2009/03/12 09:55:05 zmedico Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/portage/ChangeLog,v 1.585 2009/03/13 20:30:06 zmedico Exp $
+
+*portage-2.1.6.8 (13 Mar 2009)
+
+  13 Mar 2009; Zac Medico <zmedico@gentoo.org> +portage-2.1.6.8.ebuild:
+  2.1.6.8 bump. This fixes bug #199408 (account for current config with
+  emerge --resume), bug #250020 (improve merge order), bug #253904 (avoid
+  slot conflicts), bug #256289 (show normal mask message for use deps when
+  version with required IUSE is masked), bug #256616 (don't do anything
+  else when system packages are merging), bug #258433 (warn about
+  incorrectly defined FETCHCOMMAND for EAPI 2), bug #259124 (apply --color
+  to fetch output), bug #259882 (disable dispatch-conf confmem-like
+  behavior), bug #259954 (be careful about system deps with unsatisfied
+  PDEPEND), bug #260331 (reject set*id binaries that have DT_RPATH:$ORIGIN),
+  bug #261082 (fetch changed packages with --getbinpkg), bug #261670 (ensure
+  CHOST metadata reflects the initial CHOST setting), bug #261675 (avoid
+  interference between FEATURES=digest and concurrent tasks), and bug
+  #261852 (show mod_echo elog output before showing a traceback from an
+  unexpected exception), bug #261992 (File name too long exception), bug
+  #262012 (invalid message about --newuse triggered by slot conflict), bug
+  #262096 (add elog binaries for sandbox to call). Bug #261959 tracks all
+  bugs fixed since 2.1.6.7.
 
 *portage-2.2_rc25 (12 Mar 2009)
 



1.1                  sys-apps/portage/portage-2.1.6.8.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-apps/portage/portage-2.1.6.8.ebuild?rev=1.1&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-apps/portage/portage-2.1.6.8.ebuild?rev=1.1&content-type=text/plain

Index: portage-2.1.6.8.ebuild
===================================================================
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-apps/portage/portage-2.1.6.8.ebuild,v 1.1 2009/03/13 20:30:06 zmedico Exp $

inherit eutils multilib python

DESCRIPTION="Portage is the package management and distribution system for Gentoo"
HOMEPAGE="http://www.gentoo.org/proj/en/portage/index.xml"
LICENSE="GPL-2"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
PROVIDE="virtual/portage"
SLOT="0"
IUSE="build doc epydoc selinux linguas_pl"

python_dep=">=dev-lang/python-2.4"

DEPEND="${python_dep}
	!build? ( >=sys-apps/sed-4.0.5 )
	doc? ( app-text/xmlto ~app-text/docbook-xml-dtd-4.4 )
	epydoc? ( >=dev-python/epydoc-2.0 )"
RDEPEND="${python_dep}
	!build? ( >=sys-apps/sed-4.0.5
		>=app-shells/bash-3.2_p17
		>=app-admin/eselect-news-20071201 )
	elibc_FreeBSD? ( sys-freebsd/freebsd-bin )
	elibc_glibc? ( >=sys-apps/sandbox-1.2.17 !mips? ( >=sys-apps/sandbox-1.2.18.1-r2 ) )
	elibc_uclibc? ( >=sys-apps/sandbox-1.2.17 !mips? ( >=sys-apps/sandbox-1.2.18.1-r2 ) )
	>=app-misc/pax-utils-0.1.17
	selinux? ( >=dev-python/python-selinux-2.16 )"
PDEPEND="
	!build? (
		>=net-misc/rsync-2.6.4
		userland_GNU? ( >=sys-apps/coreutils-6.4 )
		|| ( >=dev-lang/python-2.5 >=dev-python/pycrypto-2.0.1-r6 )
	)"
# coreutils-6.4 rdep is for date format in emerge-webrsync #164532
# rsync-2.6.4 rdep is for the --filter option #167668

SRC_ARCHIVES="http://dev.gentoo.org/~zmedico/portage/archives"

prefix_src_archives() {
	local x y
	for x in ${@}; do
		for y in ${SRC_ARCHIVES}; do
			echo ${y}/${x}
		done
	done
}

PV_PL="2.1.2"
PATCHVER_PL=""
TARBALL_PV=2.1.6
SRC_URI="mirror://gentoo/${PN}-${TARBALL_PV}.tar.bz2
	$(prefix_src_archives ${PN}-${TARBALL_PV}.tar.bz2)
	linguas_pl? ( mirror://gentoo/${PN}-man-pl-${PV_PL}.tar.bz2
		$(prefix_src_archives ${PN}-man-pl-${PV_PL}.tar.bz2) )"

PATCHVER=$PV
if [ -n "${PATCHVER}" ]; then
	SRC_URI="${SRC_URI} mirror://gentoo/${PN}-${PATCHVER}.patch.bz2
	$(prefix_src_archives ${PN}-${PATCHVER}.patch.bz2)"
fi

S="${WORKDIR}"/${PN}-${TARBALL_PV}
S_PL="${WORKDIR}"/${PN}-${PV_PL}

src_unpack() {
	unpack ${A}
	cd "${S}"
	if [ -n "${PATCHVER}" ]; then
		cd "${S}"
		epatch "${WORKDIR}/${PN}-${PATCHVER}.patch"
	fi
	einfo "Setting portage.VERSION to ${PVR} ..."
	sed -i "s/^VERSION=.*/VERSION=\"${PVR}\"/" pym/portage/__init__.py || \
		die "Failed to patch portage.VERSION"
}

src_compile() {

	if use doc; then
		cd "${S}"/doc
		touch fragment/date
		make xhtml xhtml-nochunks || die "failed to make docs"
	fi

	if use epydoc; then
		einfo "Generating api docs"
		mkdir "${WORKDIR}"/api
		local my_modules epydoc_opts=""
		# A name collision between the portage.dbapi class and the
		# module with the same name triggers an epydoc crash unless
		# portage.dbapi is excluded from introspection.
		ROOT=/ has_version '>=dev-python/epydoc-3_pre0' && \
			epydoc_opts='--exclude-introspect portage\.dbapi'
		my_modules="$(find "${S}/pym" -name "*.py" \
			| sed -e 's:/__init__.py$::' -e 's:\.py$::' -e "s:^${S}/pym/::" \
			 -e 's:/:.:g' | sort)" || die "error listing modules"
		PYTHONPATH="${S}/pym:${PYTHONPATH}" epydoc -o "${WORKDIR}"/api \
			-qqqqq --no-frames --show-imports $epydoc_opts \
			--name "${PN}" --url "${HOMEPAGE}" \
			${my_modules} || die "epydoc failed"
	fi
}

src_test() {
	./pym/portage/tests/runTests || \
		die "test(s) failed"
}

src_install() {
	local libdir=$(get_libdir)
	local portage_base="/usr/${libdir}/portage"
	local portage_share_config=/usr/share/portage/config

	cd "${S}"/cnf
	insinto /etc
	doins etc-update.conf dispatch-conf.conf

	dodir "${portage_share_config}"
	insinto "${portage_share_config}"
	doins "${S}/cnf/"make.globals
	if [ -f "make.conf.${ARCH}".diff ]; then
		patch make.conf "make.conf.${ARCH}".diff || \
			die "Failed to patch make.conf.example"
		newins make.conf make.conf.example
	else
		eerror ""
		eerror "Portage does not have an arch-specific configuration for this arch."
		eerror "Please notify the arch maintainer about this issue. Using generic."
		eerror ""
		newins make.conf make.conf.example
	fi

	dosym ..${portage_share_config}/make.globals /etc/make.globals

	insinto /etc/logrotate.d
	doins "${S}"/cnf/logrotate.d/elog-save-summary

	dodir ${portage_base}/bin
	exeinto ${portage_base}/bin

	# BSD and OSX need a sed wrapper so that find/xargs work properly
	if use userland_GNU; then
		rm "${S}"/bin/ebuild-helpers/sed || die "Failed to remove sed wrapper"
	fi

	cd "${S}"/bin || die "cd failed"
	doexe $(find . -maxdepth 1 -type f) || die "doexe failed"

	local symlinks
	dodir ${portage_base}/bin/ebuild-helpers || die "dodir failed"
	exeinto ${portage_base}/bin/ebuild-helpers || die "exeinto failed"
	cd "${S}"/bin/ebuild-helpers || die "cd failed"
	doexe $(find . -type f ! -type l) || die "doexe failed"
	symlinks=$(find . -type l)
	if [ -n "$symlinks" ] ; then
		cp -P $symlinks "${D}${portage_base}/bin/ebuild-helpers/" || \
			die "cp failed"
	fi

	# These symlinks will be included in the next tarball.
	# Until then, create them manually.
	dosym ../portageq ${portage_base}/bin/ebuild-helpers/portageq || \
		die "dosym failed"
	local x
	for x in eerror einfo ewarn eqawarn ; do
		dosym elog ${portage_base}/bin/ebuild-helpers/$x || die "dosym failed"
	done

	for mydir in $(find "${S}"/pym -type d | sed -e "s:^${S}/::") ; do
		dodir ${portage_base}/${mydir}
		insinto ${portage_base}/${mydir}
		cd "${S}"/${mydir}
		doins *.py
		symlinks=$(find . -mindepth 1 -maxdepth 1 -type l)
		[ -n "${symlinks}" ] && cp -P ${symlinks} "${D}${portage_base}/${mydir}"
	done

	# Symlinks to directories cause up/downgrade issues and the use of these
	# modules outside of portage is probably negligible.
	for x in "${D}${portage_base}/pym/"{cache,elog_modules} ; do
		[ ! -L "${x}" ] && continue
		die "symlink to directory will cause upgrade/downgrade issues: '${x}'"
	done

	exeinto ${portage_base}/pym/portage/tests
	doexe  "${S}"/pym/portage/tests/runTests

	doman "${S}"/man/*.[0-9]
	if use linguas_pl; then
		doman -i18n=pl "${S_PL}"/man/pl/*.[0-9]
		doman -i18n=pl_PL.UTF-8 "${S_PL}"/man/pl_PL.UTF-8/*.[0-9]
	fi

	dodoc "${S}"/{ChangeLog,NEWS,RELEASE-NOTES}
	use doc && dohtml -r "${S}"/doc/*
	use epydoc && dohtml -r "${WORKDIR}"/api

	dodir /usr/bin
	for x in ebuild emerge portageq repoman xpak; do
		dosym ../${libdir}/portage/bin/${x} /usr/bin/${x}
	done

	dodir /usr/sbin
	local my_syms="archive-conf
		dispatch-conf
		emaint
		emerge-webrsync
		env-update
		etc-update
		fixpackages
		quickpkg
		regenworld"
	local x
	for x in ${my_syms}; do
		dosym ../${libdir}/portage/bin/${x} /usr/sbin/${x}
	done
	dosym env-update /usr/sbin/update-env
	dosym etc-update /usr/sbin/update-etc

	dodir /etc/portage
	keepdir /etc/portage
}

pkg_preinst() {
	if ! use build && ! has_version dev-python/pycrypto && \
		has_version '>=dev-lang/python-2.5' ; then
		if ! built_with_use '>=dev-lang/python-2.5' ssl ; then
			ewarn "If you are an ebuild developer and you plan to commit ebuilds"
			ewarn "with this system then please install dev-python/pycrypto or"
			ewarn "enable the ssl USE flag for >=dev-lang/python-2.5 in order"
			ewarn "to enable RMD160 hash support."
			ewarn "See bug #198398 for more information."
		fi
	fi
	if [ -f "${ROOT}/etc/make.globals" ]; then
		rm "${ROOT}/etc/make.globals"
	fi
	has_version ">=${CATEGORY}/${PN}-2.2_pre"
	DOWNGRADE_FROM_2_2=$?
	has_version "<${CATEGORY}/${PN}-2.1.6_pre"
	UPGRADE_FROM_2_1=$?
}

pkg_postinst() {
	# Compile all source files recursively. Any orphans
	# will be identified and removed in postrm.
	python_mod_optimize /usr/$(get_libdir)/portage/pym

	einfo
	einfo "For help with using portage please consult the Gentoo Handbook"
	einfo "at http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?part=3"
	einfo

	local warning_shown=0
	if [ $DOWNGRADE_FROM_2_2 = 0 ] ; then
		ewarn
		echo "Since you have downgraded from portage-2.2, do not forget to" \
		"use revdep-rebuild when appropriate, since the @preserved-rebuild" \
		"package set is only supported with portage-2.2." | fmt -w 70 | \
		while read ; do ewarn "$REPLY" ; done
		warning_shown=1
	fi
	if [ $UPGRADE_FROM_2_1 = 0 ] ; then
		ewarn
		echo "In portage-2.1.6, the default behavior has changed for" \
		"\`emerge world\` and \`emerge system\` commands. These commands" \
		"will reinstall all packages from the given set unless an option" \
		"such as --noreplace, --update, or --newuse is specified." \
		| fmt -w 70 | while read ; do ewarn "$REPLY" ; done
		ewarn
		echo "File collision protection is now enabled by default via" \
		"make.globals with FEATURES=protect-owned. If you want to" \
		"disable collision protection completely (not recommended), then" \
		"you need to ensure that neither protect-owned nor collision-protect" \
		"are enabled." | fmt -w 70 | while read ; do ewarn "$REPLY" ; done
		ewarn
		echo "If you have overridden FETCHCOMMAND or RESUMECOMMAND variables," \
		"for compatibility with EAPI 2, you must ensure that these variables" \
		"are written such that the downloaded file will be placed at" \
		"\"\${DISTDIR}/\${FILE}\". Refer to make.conf(5) for" \
		"information about FETCHCOMMAND and RESUMECOMMAND." | \
		fmt -w 70 | while read ; do ewarn "$REPLY" ; done
		warning_shown=1
	fi
	if [ $warning_shown = 1 ] ; then
		ewarn # for symmetry
	fi
}

pkg_postrm() {
	python_mod_cleanup /usr/$(get_libdir)/portage/pym
}






^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2009-03-13 20:30 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2009-03-13 20:30 [gentoo-commits] gentoo-x86 commit in sys-apps/portage: ChangeLog portage-2.1.6.8.ebuild Zac Medico (zmedico)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox